Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ampool
Class DefaultSessionCookieFactory

`java.lang.Object
oracle.jbo.common.ampool.DefaultSessionCookieFactory`

All Implemented Interfaces:
  SessionCookieFactory

public class DefaultSessionCookieFactory
extends java.lang.Object
implements SessionCookieFactory

Factory for SessionCookieImpl instances.

Field Summary

Fields inherited from interface oracle.jbo.common.ampool.SessionCookieFactory
`PROP_IS_WEB_APP, PROP_USER_PRINCIPAL_KEY`

Constructor Summary
`DefaultSessionCookieFactory()`

Method Summary
`SessionCookie` | `createSessionCookie(java.lang.String applicationId, java.lang.String sessionId, ApplicationPool pool, java.util.Properties properties)` Creates a SessionCookie instance.
`java.lang.Class` | `getSessionCookieClass()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSessionCookieFactory

    public DefaultSessionCookieFactory()

Method Detail

### createSessionCookie

    public SessionCookie createSessionCookie(java.lang.String applicationId,
                                             java.lang.String sessionId,
                                             ApplicationPool pool,
                                             java.util.Properties properties)

  Description copied from interface: `SessionCookieFactory`
  Creates a SessionCookie instance.
  Specified by:
    `createSessionCookie` in interface `SessionCookieFactory`
  Parameters:
    `applicationId` - an identifier which may be used to uniquely identify this cookie within the context of a session
    `sessionId` - an option identifier which may be used to uniquely identify this cookie across sessions.
    `pool` - the applicationPool instance which will be used to acquire ApplicationModule instances for this SessionCookie.
    `properties` - an optional properties object which may be used to pass additional creation properties to the SessionCookieFactory.

### getSessionCookieClass

    public java.lang.Class getSessionCookieClass()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.